
%global _el_version el8s
 
Name:       buildsys-macros-el8s
Summary:    Macros for the Buildsystem
Version:    1.0
Release:    1%{dist}
License:    GPL
Group:      Development/Buildsystem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
 
%description
This particular package contains the macros needed for the buildsys for CentOS el8.
 
%prep
 
%build
 
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rpm/
VERSION=%{version}
printf %s%b "%" "rhel 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "centos 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "dist .%{_el_version}\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "el8 1\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "__arch_install_post /usr/lib/rpm/check-buildroot\n" >> %{buildroot}/etc/rpm/macros.checkbuild
 
%clean
rm -rf %{buildroot}
 
%files
%defattr(-,root,root)
/etc/rpm/macros.disttag
/etc/rpm/macros.checkbuild
 
%changelog
* Mon Jun 15 2020 Thomas Oulevey <thomas.oulevey@cern.ch> - 1.0-1
- Initial Centos build.
